/*===========================================================================*/
/*   (Llib/weakptr.scm)                                                      */
/*   Bigloo (4.7a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Feb 19 09:11:58 AM CET 2026     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.7a/bin/bigloo -srfi bigloo-safe -O3 -fcfa-arithmetic -q -lib-dir /home/serrano/prgm/project/bigloo/4.7a/lib/bigloo/4.7a +rm -O3 -mklib -cc gcc -fsharing -q -unsafev -eval (set! *indent* 4) -stdc -c Llib/weakptr.scm -indent -o objs/obj_s/Llib/weakptr.c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL___WEAKPTR_TYPE_DEFINITIONS
#define BGL___WEAKPTR_TYPE_DEFINITIONS
#endif // BGL___WEAKPTR_TYPE_DEFINITIONS
#endif // BGL_MODULE_TYPE_DEFINITIONS

static obj_t BGl_z62weakptrzd2datazb0zz__weakptrz00(obj_t, obj_t);
static obj_t BGl__makezd2weakptrzd2zz__weakptrz00(obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__weakptrz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_weakptrzd2datazd2zz__weakptrz00(obj_t);
extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__weakptrz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__hashz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_EXPORTED_DECL bool_t BGl_weakptrzf3zf3zz__weakptrz00(obj_t);
extern void bgl_weakptr_ref_set(obj_t, obj_t);
static obj_t BGl_z62weakptrzd2refzd2setz12z70zz__weakptrz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_makezd2weakptrzd2zz__weakptrz00(obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__weakptrz00(void);
static obj_t BGl_genericzd2initzd2zz__weakptrz00(void);
extern void bgl_weakptr_data_set(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_weakptrzd2refzd2zz__weakptrz00(obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__weakptrz00(void);
static obj_t BGl_gczd2rootszd2initz00zz__weakptrz00(void);
static obj_t BGl_objectzd2initzd2zz__weakptrz00(void);
static obj_t BGl_z62weakptrzd2datazd2setz12z70zz__weakptrz00(obj_t, obj_t, obj_t);
extern obj_t bgl_weakptr_data(obj_t);
extern obj_t bgl_weakptr_ref(obj_t);
extern obj_t bstring_to_symbol(obj_t);
static obj_t BGl_z62weakptrzf3z91zz__weakptrz00(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__weakptrz00(void);
extern obj_t bgl_make_weakptr(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_weakptrzd2datazd2setz12z12zz__weakptrz00(obj_t, obj_t);
static obj_t BGl_symbol1631z00zz__weakptrz00 = BUNSPEC;
static obj_t BGl_z62weakptrzd2refzb0zz__weakptrz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_weakptrzd2refzd2setz12z12zz__weakptrz00(obj_t, obj_t);
extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t *__cnst;


DEFINE_EXPORT_BGL_PROCEDURE(BGl_weakptrzd2datazd2envz00zz__weakptrz00, BgL_bgl_za762weakptrza7d2dat1635z00, BGl_z62weakptrzd2datazb0zz__weakptrz00, 0L, BUNSPEC, 1);
DEFINE_EXPORT_BGL_PROCEDURE(BGl_weakptrzd2refzd2envz00zz__weakptrz00, BgL_bgl_za762weakptrza7d2ref1636z00, BGl_z62weakptrzd2refzb0zz__weakptrz00, 0L, BUNSPEC, 1);
DEFINE_EXPORT_BGL_PROCEDURE(BGl_weakptrzd2refzd2setz12zd2envzc0zz__weakptrz00, BgL_bgl_za762weakptrza7d2ref1637z00, BGl_z62weakptrzd2refzd2setz12z70zz__weakptrz00, 0L, BUNSPEC, 2);
DEFINE_EXPORT_BGL_PROCEDURE(BGl_weakptrzf3zd2envz21zz__weakptrz00, BgL_bgl_za762weakptrza7f3za7911638za7, BGl_z62weakptrzf3z91zz__weakptrz00, 0L, BUNSPEC, 1);
DEFINE_EXPORT_BGL_PROCEDURE(BGl_weakptrzd2datazd2setz12zd2envzc0zz__weakptrz00, BgL_bgl_za762weakptrza7d2dat1639z00, BGl_z62weakptrzd2datazd2setz12z70zz__weakptrz00, 0L, BUNSPEC, 2);
BGL_DEFINE_STRING(BGl_string1622z00zz__weakptrz00, BgL_bgl_string1622za700za7za7_1640za7, "/tmp/bigloo/runtime/Llib/weakptr.scm", 36 );
BGL_DEFINE_STRING(BGl_string1623z00zz__weakptrz00, BgL_bgl_string1623za700za7za7_1641za7, "&weakptr-data", 13 );
BGL_DEFINE_STRING(BGl_string1624z00zz__weakptrz00, BgL_bgl_string1624za700za7za7_1642za7, "weakptr", 7 );
BGL_DEFINE_STRING(BGl_string1625z00zz__weakptrz00, BgL_bgl_string1625za700za7za7_1643za7, "&weakptr-data-set!", 18 );
BGL_DEFINE_STRING(BGl_string1626z00zz__weakptrz00, BgL_bgl_string1626za700za7za7_1644za7, "&weakptr-ref", 12 );
BGL_DEFINE_STRING(BGl_string1627z00zz__weakptrz00, BgL_bgl_string1627za700za7za7_1645za7, "&weakptr-ref-set!", 17 );
BGL_DEFINE_STRING(BGl_string1628z00zz__weakptrz00, BgL_bgl_string1628za700za7za7_1646za7, "_make-weakptr", 13 );
BGL_DEFINE_STRING(BGl_string1629z00zz__weakptrz00, BgL_bgl_string1629za700za7za7_1647za7, "vector", 6 );
DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2weakptrzd2envz00zz__weakptrz00, BgL_bgl__makeza7d2weakptrza71648z00, opt_generic_entry, BGl__makezd2weakptrzd2zz__weakptrz00, BFALSE, -1);
BGL_DEFINE_STRING(BGl_string1630z00zz__weakptrz00, BgL_bgl_string1630za700za7za7_1649za7, "case_else1088", 13 );
BGL_DEFINE_STRING(BGl_string1632z00zz__weakptrz00, BgL_bgl_string1632za700za7za7_1650za7, "make-weakptr", 12 );
BGL_DEFINE_STRING(BGl_string1633z00zz__weakptrz00, BgL_bgl_string1633za700za7za7_1651za7, "wrong number of arguments: [1..2] expected, provided", 52 );
BGL_DEFINE_STRING(BGl_string1634z00zz__weakptrz00, BgL_bgl_string1634za700za7za7_1652za7, "__weakptr", 9 );

/* contant bindings */
static void bgl_constant_bindings() {
BGL_BIND_STRING(BGl_string1634z00zz__weakptrz00, BgL_bgl_string1634za700za7za7_1652za7);
BGL_BIND_STRING(BGl_string1633z00zz__weakptrz00, BgL_bgl_string1633za700za7za7_1651za7);
BGL_BIND_STRING(BGl_string1632z00zz__weakptrz00, BgL_bgl_string1632za700za7za7_1650za7);
BGL_BIND_STRING(BGl_string1630z00zz__weakptrz00, BgL_bgl_string1630za700za7za7_1649za7);
BGL_BIND_PROCEDURE(BGl_makezd2weakptrzd2envz00zz__weakptrz00, BgL_bgl__makeza7d2weakptrza71648z00);
BGL_BIND_STRING(BGl_string1629z00zz__weakptrz00, BgL_bgl_string1629za700za7za7_1647za7);
BGL_BIND_STRING(BGl_string1628z00zz__weakptrz00, BgL_bgl_string1628za700za7za7_1646za7);
BGL_BIND_STRING(BGl_string1627z00zz__weakptrz00, BgL_bgl_string1627za700za7za7_1645za7);
BGL_BIND_STRING(BGl_string1626z00zz__weakptrz00, BgL_bgl_string1626za700za7za7_1644za7);
BGL_BIND_STRING(BGl_string1625z00zz__weakptrz00, BgL_bgl_string1625za700za7za7_1643za7);
BGL_BIND_STRING(BGl_string1624z00zz__weakptrz00, BgL_bgl_string1624za700za7za7_1642za7);
BGL_BIND_STRING(BGl_string1623z00zz__weakptrz00, BgL_bgl_string1623za700za7za7_1641za7);
BGL_BIND_STRING(BGl_string1622z00zz__weakptrz00, BgL_bgl_string1622za700za7za7_1640za7);
BGL_BIND_PROCEDURE(BGl_weakptrzd2datazd2setz12zd2envzc0zz__weakptrz00, BgL_bgl_za762weakptrza7d2dat1639z00);
BGL_BIND_PROCEDURE(BGl_weakptrzf3zd2envz21zz__weakptrz00, BgL_bgl_za762weakptrza7f3za7911638za7);
BGL_BIND_PROCEDURE(BGl_weakptrzd2refzd2setz12zd2envzc0zz__weakptrz00, BgL_bgl_za762weakptrza7d2ref1637z00);
BGL_BIND_PROCEDURE(BGl_weakptrzd2refzd2envz00zz__weakptrz00, BgL_bgl_za762weakptrza7d2ref1636z00);
BGL_BIND_PROCEDURE(BGl_weakptrzd2datazd2envz00zz__weakptrz00, BgL_bgl_za762weakptrza7d2dat1635z00);
}

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__weakptrz00) );
ADD_ROOT( (void *)(&BGl_symbol1631z00zz__weakptrz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__weakptrz00(long BgL_checksumz00_1762, char * BgL_fromz00_1763)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__weakptrz00))
{ 
BGl_requirezd2initializa7ationz75zz__weakptrz00 = 
BBOOL(((bool_t)0)); 
bgl_constant_bindings(); 
BGl_gczd2rootszd2initz00zz__weakptrz00(); 
BGl_cnstzd2initzd2zz__weakptrz00(); 
BGl_importedzd2moduleszd2initz00zz__weakptrz00(); 
return 
BGl_methodzd2initzd2zz__weakptrz00();}  else 
{ 
return BUNSPEC;} } 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__weakptrz00(void)
{
{ /* Llib/weakptr.scm 14 */
return ( 
BGl_symbol1631z00zz__weakptrz00 = 
bstring_to_symbol(BGl_string1632z00zz__weakptrz00), BUNSPEC) ;} 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__weakptrz00(void)
{
{ /* Llib/weakptr.scm 14 */
return 
bgl_gc_roots_register();} 

}



/* weakptr? */
BGL_EXPORTED_DEF bool_t BGl_weakptrzf3zf3zz__weakptrz00(obj_t BgL_objz00_3)
{
{ /* Llib/weakptr.scm 84 */
return 
BGL_WEAKPTRP(BgL_objz00_3);} 

}



/* &weakptr? */
obj_t BGl_z62weakptrzf3z91zz__weakptrz00(obj_t BgL_envz00_1728, obj_t BgL_objz00_1729)
{
{ /* Llib/weakptr.scm 84 */
return 
BBOOL(
BGl_weakptrzf3zf3zz__weakptrz00(BgL_objz00_1729));} 

}



/* weakptr-data */
BGL_EXPORTED_DEF obj_t BGl_weakptrzd2datazd2zz__weakptrz00(obj_t BgL_objz00_4)
{
{ /* Llib/weakptr.scm 90 */
BGL_TAIL return 
bgl_weakptr_data(BgL_objz00_4);} 

}



/* &weakptr-data */
obj_t BGl_z62weakptrzd2datazb0zz__weakptrz00(obj_t BgL_envz00_1730, obj_t BgL_objz00_1731)
{
{ /* Llib/weakptr.scm 90 */
{ /* Llib/weakptr.scm 91 */
 obj_t BgL_auxz00_1778;
if(
BGL_WEAKPTRP(BgL_objz00_1731))
{ /* Llib/weakptr.scm 91 */
BgL_auxz00_1778 = BgL_objz00_1731
; }  else 
{ 
 obj_t BgL_auxz00_1781;
BgL_auxz00_1781 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1622z00zz__weakptrz00, 
BINT(3417L), BGl_string1623z00zz__weakptrz00, BGl_string1624z00zz__weakptrz00, BgL_objz00_1731); 
FAILURE(BgL_auxz00_1781,BFALSE,BFALSE);} 
return 
BGl_weakptrzd2datazd2zz__weakptrz00(BgL_auxz00_1778);} } 

}



/* weakptr-data-set! */
BGL_EXPORTED_DEF obj_t BGl_weakptrzd2datazd2setz12z12zz__weakptrz00(obj_t BgL_ptrz00_5, obj_t BgL_objz00_6)
{
{ /* Llib/weakptr.scm 96 */
bgl_weakptr_data_set(BgL_ptrz00_5, BgL_objz00_6); BUNSPEC; 
return BUNSPEC;} 

}



/* &weakptr-data-set! */
obj_t BGl_z62weakptrzd2datazd2setz12z70zz__weakptrz00(obj_t BgL_envz00_1732, obj_t BgL_ptrz00_1733, obj_t BgL_objz00_1734)
{
{ /* Llib/weakptr.scm 96 */
{ /* Llib/weakptr.scm 97 */
 obj_t BgL_auxz00_1787;
if(
BGL_WEAKPTRP(BgL_ptrz00_1733))
{ /* Llib/weakptr.scm 97 */
BgL_auxz00_1787 = BgL_ptrz00_1733
; }  else 
{ 
 obj_t BgL_auxz00_1790;
BgL_auxz00_1790 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1622z00zz__weakptrz00, 
BINT(3734L), BGl_string1625z00zz__weakptrz00, BGl_string1624z00zz__weakptrz00, BgL_ptrz00_1733); 
FAILURE(BgL_auxz00_1790,BFALSE,BFALSE);} 
return 
BGl_weakptrzd2datazd2setz12z12zz__weakptrz00(BgL_auxz00_1787, BgL_objz00_1734);} } 

}



/* weakptr-ref */
BGL_EXPORTED_DEF obj_t BGl_weakptrzd2refzd2zz__weakptrz00(obj_t BgL_objz00_7)
{
{ /* Llib/weakptr.scm 103 */
BGL_TAIL return 
bgl_weakptr_ref(BgL_objz00_7);} 

}



/* &weakptr-ref */
obj_t BGl_z62weakptrzd2refzb0zz__weakptrz00(obj_t BgL_envz00_1735, obj_t BgL_objz00_1736)
{
{ /* Llib/weakptr.scm 103 */
{ /* Llib/weakptr.scm 104 */
 obj_t BgL_auxz00_1796;
if(
BGL_WEAKPTRP(BgL_objz00_1736))
{ /* Llib/weakptr.scm 104 */
BgL_auxz00_1796 = BgL_objz00_1736
; }  else 
{ 
 obj_t BgL_auxz00_1799;
BgL_auxz00_1799 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1622z00zz__weakptrz00, 
BINT(4012L), BGl_string1626z00zz__weakptrz00, BGl_string1624z00zz__weakptrz00, BgL_objz00_1736); 
FAILURE(BgL_auxz00_1799,BFALSE,BFALSE);} 
return 
BGl_weakptrzd2refzd2zz__weakptrz00(BgL_auxz00_1796);} } 

}



/* weakptr-ref-set! */
BGL_EXPORTED_DEF obj_t BGl_weakptrzd2refzd2setz12z12zz__weakptrz00(obj_t BgL_ptrz00_8, obj_t BgL_objz00_9)
{
{ /* Llib/weakptr.scm 109 */
bgl_weakptr_ref_set(BgL_ptrz00_8, BgL_objz00_9); BUNSPEC; 
return BUNSPEC;} 

}



/* &weakptr-ref-set! */
obj_t BGl_z62weakptrzd2refzd2setz12z70zz__weakptrz00(obj_t BgL_envz00_1737, obj_t BgL_ptrz00_1738, obj_t BgL_objz00_1739)
{
{ /* Llib/weakptr.scm 109 */
{ /* Llib/weakptr.scm 110 */
 obj_t BgL_auxz00_1805;
if(
BGL_WEAKPTRP(BgL_ptrz00_1738))
{ /* Llib/weakptr.scm 110 */
BgL_auxz00_1805 = BgL_ptrz00_1738
; }  else 
{ 
 obj_t BgL_auxz00_1808;
BgL_auxz00_1808 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1622z00zz__weakptrz00, 
BINT(4326L), BGl_string1627z00zz__weakptrz00, BGl_string1624z00zz__weakptrz00, BgL_ptrz00_1738); 
FAILURE(BgL_auxz00_1808,BFALSE,BFALSE);} 
return 
BGl_weakptrzd2refzd2setz12z12zz__weakptrz00(BgL_auxz00_1805, BgL_objz00_1739);} } 

}



/* _make-weakptr */
obj_t BGl__makezd2weakptrzd2zz__weakptrz00(obj_t BgL_env1086z00_13, obj_t BgL_opt1085z00_12)
{
{ /* Llib/weakptr.scm 116 */
{ /* Llib/weakptr.scm 116 */
 obj_t BgL_g1087z00_1757;
{ 
 obj_t BgL_auxz00_1813;
if(
VECTORP(BgL_opt1085z00_12))
{ /* Llib/weakptr.scm 116 */
BgL_auxz00_1813 = BgL_opt1085z00_12
; }  else 
{ 
 obj_t BgL_auxz00_1816;
BgL_auxz00_1816 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1622z00zz__weakptrz00, 
BINT(4568L), BGl_string1628z00zz__weakptrz00, BGl_string1629z00zz__weakptrz00, BgL_opt1085z00_12); 
FAILURE(BgL_auxz00_1816,BFALSE,BFALSE);} 
BgL_g1087z00_1757 = 
VECTOR_REF(BgL_auxz00_1813,0L); } 
{ 

{ /* Llib/weakptr.scm 116 */
 long BgL_aux1089z00_1760;
{ 
 obj_t BgL_auxz00_1821;
if(
VECTORP(BgL_opt1085z00_12))
{ /* Llib/weakptr.scm 116 */
BgL_auxz00_1821 = BgL_opt1085z00_12
; }  else 
{ 
 obj_t BgL_auxz00_1824;
BgL_auxz00_1824 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1622z00zz__weakptrz00, 
BINT(4568L), BGl_string1628z00zz__weakptrz00, BGl_string1629z00zz__weakptrz00, BgL_opt1085z00_12); 
FAILURE(BgL_auxz00_1824,BFALSE,BFALSE);} 
BgL_aux1089z00_1760 = 
VECTOR_LENGTH(BgL_auxz00_1821); } 
switch( BgL_aux1089z00_1760) { case 1L : 

{ /* Llib/weakptr.scm 116 */

return 
bgl_make_weakptr(BgL_g1087z00_1757, BFALSE);} break;case 2L : 

{ /* Llib/weakptr.scm 116 */
 obj_t BgL_refz00_1761;
{ 
 obj_t BgL_auxz00_1830;
if(
VECTORP(BgL_opt1085z00_12))
{ /* Llib/weakptr.scm 116 */
BgL_auxz00_1830 = BgL_opt1085z00_12
; }  else 
{ 
 obj_t BgL_auxz00_1833;
BgL_auxz00_1833 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1622z00zz__weakptrz00, 
BINT(4568L), BGl_string1628z00zz__weakptrz00, BGl_string1629z00zz__weakptrz00, BgL_opt1085z00_12); 
FAILURE(BgL_auxz00_1833,BFALSE,BFALSE);} 
BgL_refz00_1761 = 
VECTOR_REF(BgL_auxz00_1830,1L); } 
{ /* Llib/weakptr.scm 116 */

return 
bgl_make_weakptr(BgL_g1087z00_1757, BgL_refz00_1761);} } break;
default: 
{ /* Llib/weakptr.scm 116 */
 long BgL_arg1162z00_1759;
{ 
 obj_t BgL_auxz00_1839;
if(
VECTORP(BgL_opt1085z00_12))
{ /* Llib/weakptr.scm 116 */
BgL_auxz00_1839 = BgL_opt1085z00_12
; }  else 
{ 
 obj_t BgL_auxz00_1842;
BgL_auxz00_1842 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1622z00zz__weakptrz00, 
BINT(4568L), BGl_string1630z00zz__weakptrz00, BGl_string1629z00zz__weakptrz00, BgL_opt1085z00_12); 
FAILURE(BgL_auxz00_1842,BFALSE,BFALSE);} 
BgL_arg1162z00_1759 = 
VECTOR_LENGTH(BgL_auxz00_1839); } 
return 
BGl_errorz00zz__errorz00(BGl_symbol1631z00zz__weakptrz00, BGl_string1633z00zz__weakptrz00, 
BINT(BgL_arg1162z00_1759));} } } } } } 

}



/* make-weakptr */
BGL_EXPORTED_DEF obj_t BGl_makezd2weakptrzd2zz__weakptrz00(obj_t BgL_objz00_10, obj_t BgL_refz00_11)
{
{ /* Llib/weakptr.scm 116 */
BGL_TAIL return 
bgl_make_weakptr(BgL_objz00_10, BgL_refz00_11);} 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__weakptrz00(void)
{
{ /* Llib/weakptr.scm 14 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__weakptrz00(void)
{
{ /* Llib/weakptr.scm 14 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__weakptrz00(void)
{
{ /* Llib/weakptr.scm 14 */
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__weakptrz00(void)
{
{ /* Llib/weakptr.scm 14 */
BGl_modulezd2initializa7ationz75zz__errorz00(88804785L, 
BSTRING_TO_STRING(BGl_string1634z00zz__weakptrz00)); 
BGl_modulezd2initializa7ationz75zz__hashz00(254893342L, 
BSTRING_TO_STRING(BGl_string1634z00zz__weakptrz00)); 
BGl_modulezd2initializa7ationz75zz__readerz00(220648206L, 
BSTRING_TO_STRING(BGl_string1634z00zz__weakptrz00)); 
BGl_modulezd2initializa7ationz75zz__paramz00(453939141L, 
BSTRING_TO_STRING(BGl_string1634z00zz__weakptrz00)); 
BGl_modulezd2initializa7ationz75zz__bexitz00(443005284L, 
BSTRING_TO_STRING(BGl_string1634z00zz__weakptrz00)); 
BGl_modulezd2initializa7ationz75zz__objectz00(475449627L, 
BSTRING_TO_STRING(BGl_string1634z00zz__weakptrz00)); 
return 
BGl_modulezd2initializa7ationz75zz__threadz00(149516032L, 
BSTRING_TO_STRING(BGl_string1634z00zz__weakptrz00));} 

}

#ifdef __cplusplus
}
#endif
